com.holonplatform.json.jackson

## Interface JacksonConfiguration

-     public interface JacksonConfiguration

  Utility interface to handle Jackson configuration.
  Since:
    5.0.0

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.fasterxml.jackson.databind.ObjectMapper` | `configure(com.fasterxml.jackson.databind.ObjectMapper objectMapper)` Configures given Jackson `ObjectMapper` in the following way: Registers `PropertyBox` type serializers and deserializers using the `PropertyBoxModule` Adds the `JavaTimeModule` to support the jdk8 java.time.* API data types Sets the `SerializationFeature.WRITE_DATES_AS_TIMESTAMPS` to `false`
    `static com.fasterxml.jackson.databind.ObjectMapper` | `mapper()` Create and configure a new Jackson `ObjectMapper`.

- - ### Method Detail

    - #### mapper

          static com.fasterxml.jackson.databind.ObjectMapper mapper()

      Create and configure a new Jackson `ObjectMapper`. The returned `ObjectMapper` is configured in the following way:
      - `PropertyBox` type serializers and deserializers are registered, using the `PropertyBoxModule`
      - The `JavaTimeModule` is registered to support the jdk8 java.time.* API data types
      - The `SerializationFeature.WRITE_DATES_AS_TIMESTAMPS` is setted to `false`
      - The `ISO8601DateModule` is registered to serialize the java.util.Date types using the ISO-8601 format.
      Returns:
        A new configured `ObjectMapper`

    - #### configure

          static com.fasterxml.jackson.databind.ObjectMapper configure(com.fasterxml.jackson.databind.ObjectMapper objectMapper)

      Configures given Jackson `ObjectMapper` in the following way:
      - Registers `PropertyBox` type serializers and deserializers using the `PropertyBoxModule`
      - Adds the `JavaTimeModule` to support the jdk8 java.time.* API data types
      - Sets the `SerializationFeature.WRITE_DATES_AS_TIMESTAMPS` to `false`
      Parameters:
        `objectMapper` - ObjectMapper to configure (not null)
      Returns:
        The configured ObjectMapper instance

Copyright © 2019 The Holon Platform. All rights reserved.